### POST /equipment Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Creates a new Equipment ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): The name for this Equipment. - **brand** (string): The name of the brand which makes this Equipment. - **model** (string): The model name of this Equipment. - **serial_number** (string): The serial number of this Equipment. - **type_id** (integer) (required) - **status_id** (integer) (required) - **group_id** (integer) - **group_hierarchy** (string): A pipe delimited group hierarchy. Ex: "Level 1|Level 2|Level 3". Where Level 1 is the parent of Level 2, and 2 is the parent of 3. Any missing nodes in the hierarchy will be created. - **purchase_vendor_id** (integer) - **purchase_price** (number): The price at which the Equipment was purchased. - **purchase_date** (string (date)): We recommend using [ISO-8601](/docs/overview/date-formatting) formatted dates to avoid ambiguity. (example: "2023-03-14") - **warranty_expiration_date** (string (date)): The date on which the Equipment warranty expires. (example: "2023-03-14") - **purchase_comments** (string): Any comments about the purchase of this Equipment. - **in_service_date** (string (date)): We recommend using [ISO-8601](/docs/overview/date-formatting) formatted dates to avoid ambiguity. (example: "2023-03-14") - **estimated_service_life** (integer): The estimated duration in months of the service life for this Equipment. - **estimated_resale_price** (number): The estimated resale price of this Equipment. - **out_of_service_date** (string (date)): We recommend using [ISO-8601](/docs/overview/date-formatting) formatted dates to avoid ambiguity. (example: "2023-03-14") - **linked_vehicle_id** (integer) - **assignee_id** (integer) - **default_image** (string (uri)): The default image URL for this Equipment. - **custom_fields** (object): *Full details on working with Custom Fields [here](/docs/overview/custom-fields). - **documents_attributes** (array (object)): An array of one or more document objects to add to the record. Follow our [Attaching Documents and Images](/docs/overview/attaching-documents-and-images) guide to upload to our third party storage provider in order to obtain `file_url`. Array items: - **name** (string): The name to give the file which will be shown in the UI. - **file_url** (string): The URL obtained from our storage provider that points to the file. - **file_mime_type** (string): The MIME type of the file. For example, `application/pdf`. - **file_name** (string): The name of the file. - **file_size** (integer): The size of the file in bytes. - **images_attributes** (array (object)): An array of one or more image objects to add to the record. Follow our [Attaching Documents and Images](/docs/overview/attaching-documents-and-images) guide to upload to our third party storage provider in order to obtain `file_url`. Array items: ### Responses #### 201 - OK **Equipment_Created** - **id** (integer) (required) - **created_at** (string (date-time)) (required): The date and time at which this record was created. (example: "2023-03-14T13:46:27-06:00") - **updated_at** (string (date-time)) (required): The date and time at which this record was most recently updated. (example: "2023-03-14T13:46:27-06:00") - **account_id** (integer) (required): The ID of the `Account` this Equipment belongs to. - **name** (string) (required): The name for this Equipment. - **brand** (string) (required): The name of the brand which makes this Equipment. - **model** (string) (required): The model name of this Equipment. - **serial_number** (string) (required): The serial number of this Equipment. - **equipment_type_id** (integer) (required) - **equipment_status_id** (integer) (required) - **group_id** (integer) (required) - **purchase_vendor_id** (integer) (required) - **purchase_price_cents** (number) (required): The purchase price in cents. - **purchase_date** (string (date)) (required): The date on which the Equipment was purchased. (example: "2023-03-14") - **warranty_expiration_date** (string (date)) (required): The date on which the Equipment warranty expires. (example: "2023-03-14") - **purchase_comments** (string) (required): Any comments about the purchase of this Equipment. - **custom_fields** (object): *Full details on working with Custom Fields [here](/docs/overview/custom-fields). - **in_service_date** (string (date)) (required): The date on which the Equipment was put into service. (example: "2023-03-14") - **estimated_service_life** (integer) (required): The estimated duration in months of the service life for this Equipment. - **out_of_service_date** (string (date)) (required): The estimated date on which the Equipment will be retired from service. (example: "2023-03-14") - **archived_at** (string (date-time)) (required): The date and time at which the Equipment was archived. - **current_location_entry_id** (integer) - **watchers_count** (integer) (required): The number of users watching this Equipment. - **watchable_options** (object) - **bulk_watch_record** (boolean): Whether or not to bulk watch this Equipment. - **estimated_resale_price_cents** (integer): The estimated resale price of this Equipment. - **label_list** (array (string)): A list of any labels applied to this Equipment. - **skip_automatic_watchers_callbacks** (boolean): Whether or not to skip automatic watchers callbacks on this Equipment. - **comments_count** (integer) (required): The number of `Comments` on this Equipment. - **documents_count** (integer) (required): The number of documents attached to this Equipment. - **images_count** (integer) (required): The number of images attached to this Equipment. #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 403 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 422 - response - **errors** (object) #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X POST "https://secure.fleetio.com/api/equipment" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "brand": "string", "model": "string", "serial_number": "string", "type_id": "value", "status_id": "value", "group_id": "value", "group_hierarchy": "string", "purchase_vendor_id": "value", "purchase_price": "0", "purchase_date": "2023-03-14", "warranty_expiration_date": "2023-03-14", "purchase_comments": "string", "in_service_date": "2023-03-14", "estimated_service_life": "0", "estimated_resale_price": "0", "out_of_service_date": "2023-03-14", "linked_vehicle_id": "value", "assignee_id": "value", "default_image": "string", "custom_fields": "value", "documents_attributes": [ { "name": "string", "file_url": "string", "file_mime_type": "string", "file_name": "string", "file_size": "0" } ], "images_attributes": [ { "name": "string", "file_url": "string", "file_mime_type": "string", "file_name": "string", "file_size": "0" } ] }' ``` ``` -------------------------------- ### GET /custom_fields Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Returns a list of custom fields defined for your account. For details, please see [our guide on Custom Fields](/docs/overview/custom-fields). ```markdown ### Parameters - **start_cursor** (string, query, optional): The start cursor for Keyset pagination. - **per_page** (integer, query, optional): The number of records per page to return. - **filter** (object, query, optional): The fields, operations, and values to filter the records by. - **sort** (object, query, optional): The fields and direction to sort the results by. ### Responses #### 200 - OK - **start_cursor** (string): The current start cursor of the records returned. - **next_cursor** (string): The next cursor to retrieve the next page of records. - **per_page** (integer): The maxumum number of records returned. - **estimated_remaining_count** (integer): The number of remaining records including the returned records, up to a maximum of 500. - **filtered_by** (array (union)): The filters applied to the returned record set. Array items: - **custom_field_type** (object) - **eq** (string) (required) - **sorted_by** (array (union)): The sorts applied to the returned record set. Array items: - **updated_at** (string (asc|desc)) ("asc"|"desc") - **records** (array (CustomField)) Array items: - **id** (integer) - **created_at** (string (date-time)): The date and time at which this record was created. (example: "2023-03-14T13:46:27-06:00") - **updated_at** (string (date-time)): The date and time at which this record was most recently updated. (example: "2023-03-14T13:46:27-06:00") - **account_id** (integer): The ID of the `Account` that this Custom Field belongs to. - **custom_field_type** (string) (required) - **data_type** (string (checkbox|date|dropdown|text)) (required) ("checkbox"|"date"|"dropdown"|"text") - **description** (string) (required) - **key** (string) (required) - **label** (string) (required) - **required** (boolean) (required) - **values** (array (string)) (required) - **position** (number) (required) - **can_update** (boolean) (required): Whether the user viewing this Custom Field can update it. #### 400 - response - **errors** (object) #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X GET "https://secure.fleetio.com/api/custom_fields?start_cursor=string&per_page=50&filter=value&sort=value" ``` ``` -------------------------------- ### GET /purchase_orders/{number}/purchase_order_line_items/{id} Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Get a Line Item for the associated Purchase Order ```markdown ### Parameters - **number** (string, path, required): The Purchase Order Number - **id** (string, path, required): The id of the relevant record ### Responses #### 200 - OK **PurchaseOrderLineItem** - **id** (integer) - **created_at** (string (date-time)): The date and time at which this record was created. (example: "2023-03-14T13:46:27-06:00") - **updated_at** (string (date-time)): The date and time at which this record was most recently updated. (example: "2023-03-14T13:46:27-06:00") - **part_id** (integer) (required): The Fleetio ID of the [Part](/docs/api/parts) being purchased. - **quantity** (string) (required): The quantity of this `Part` to be purchased. (example: "1.23") - **total_quantity_received** (string) (required): The quantity of this `Part` which was received. (example: "1.23") - **part_number** (string): The number for the `Part` being purchased. - **unit_cost** (number (float)) (required): The cost of this `Part` (per unit). (example: 1.23) - **subtotal** (number (float)): The pre-tax subtotal amount. (example: 1.23) #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 403 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 404 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X GET "https://secure.fleetio.com/api/purchase_orders/{number}/purchase_order_line_items/{id}" ``` ``` -------------------------------- ### POST /parts Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Creates a new Part ```markdown ### Request Body **Content-Type:** application/json - **description** (string) - **manufacturer_part_number** (string): The part number from this Part's manufacturer. - **measurement_unit_id** (integer) - **measurement_unit_name** (string): The name of the measurement unit. If the measurement unit does not exist, it will be ignored. - **number** (string) (required): The part number to be used for this Part within Fleetio. Must be unique. Does not have to be the same as the manufacturer's part number. - **part_category_id** (integer) - **part_category_name** (string): The name of the part category. If the part category does not exist, it will be created. - **part_manufacturer_id** (integer) - **part_manufacturer_name** (string): The name of the part manufacturer. If the part manufacturer does not exist, it will be created. - **unit_cost** (number): The cost per unit of this Part, which will be interpreted as dollars, or dollars and cents. May be sent as a string, integer, or float. Value may be up to two decimal places. - **upc** (string): The Universal Product Code for this Part. Must be unique. - **tire_config_attributes** (object): :::info `tire_config_attributes` are available to accounts on [Premium](https://www.fleetio.com/pricing/plan-comparison) plans ::: Parts that have a Part Category where `tire_category` is `true` can have a TireConfg which are tire-specific Part attributes. - **id** (integer) - **aspect_ratio** (number (float)): Aspect ratio of tire. - **rim_diameter** (number (float)): Rim diameter of tire. - **load_index** (number (float)): Load index of tire. - **metric_type** (string (EU|P|HL|T|LT|C|ST)): Metric type of tire. ("EU"|"P"|"HL"|"T"|"LT"|"C"|"ST") - **width** (number (float)): Width of tire. - **construction** (string (B|R|D)): Construction type of tire. ("B"|"R"|"D") - **speed_rating** (string (A1|A2|A3|A4|A5|A6|A7|A8|B|C|D|E|F|G|H|J|K|L|M|N|P|Q|R|S|T|U|V|W|Y)): Speed rating of tire. ("A1"|"A2"|"A3"|"A4"|"A5"|"A6"|"A7"|"A8"|"B"|"C"|"D"|"E"|"F"|"G"|"H"|"J"|"K"|"L"|"M"|"N"|"P"|"Q"|"R"|"S"|"T"|"U"|"V"|"W"|"Y") - **factory_tread_depth** (number (float)): Tread depth of tire in /32" when new, as specified by the manufacturer. - **minimum_tread_depth** (number (float)): The legal minimum tread depth, in /32". - **life_expectancy** (integer): The Life Expectancy or “Warranty” of a tire is the expected meter range, usually measured in miles, of a given tire as specified by the manufacturer. - **custom_fields** (object): *Full details on working with Custom Fields [here](/docs/overview/custom-fields). - **documents_attributes** (array (object)): An array of one or more document objects to add to the record. Follow our [Attaching Documents and Images](/docs/overview/attaching-documents-and-images) guide to upload to our third party storage provider in order to obtain `file_url`. Array items: - **name** (string): The name to give the file which will be shown in the UI. - **file_url** (string): The URL obtained from our storage provider that points to the file. - **file_mime_type** (string): The MIME type of the file. For example, `application/pdf`. - **file_name** (string): The name of the file. - **file_size** (integer): The size of the file in bytes. - **images_attributes** (array (object)): An array of one or more image objects to add to the record. Follow our [Attaching Documents and Images](/docs/overview/attaching-documents-and-images) guide to upload to our third party storage provider in order to obtain `file_url`. Array items: ### Responses #### 201 - OK **Part_Created** - **id** (integer) (required) - **created_at** (string (date-time)): The date and time at which this record was created. (example: "2023-03-14T13:46:27-06:00") - **updated_at** (string (date-time)): The date and time at which this record was most recently updated. (example: "2023-03-14T13:46:27-06:00") - **account_id** (integer) (required) - **description** (string) (required): A description of this Part. - **manufacturer_part_number** (string) (required): The part number from this Part's manufaturer. - **measurement_unit_id** (integer) (required) - **number** (string) (required): A unique number for this Part. Does not have to be the same as the manufacturer's number. - **part_category_id** (integer) (required) - **part_manufacturer_id** (integer) (required) - **upc** (string) (required): The Universal Product Code for this Part. - **custom_fields** (object) (required): *Full details on working with Custom Fields [here](/docs/overview/custom-fields). - **unit_cost_cents** (integer): The unit cost for this Part in cents. - **average_unit_cost_cents** (integer): The average unit cost for this Part in cents. - **images_count** (integer) (required): The number of images attached to this Part. - **documents_count** (integer) (required): The number of documents attached to this Part. - **comments_count** (integer) (required): The number of `Comments` attached to this Part. - **archived_at** (string (date-time)) (required): The date and time at which this Part was archived. (example: "2023-03-14T13:46:27-06:00") - **measurement_unit** (object) - **id** (integer) - **name** (string) - **description** (string) - **symbol** (string) - **has_active_inventory_sets** (boolean): Indicates whether this Part has any active [Inventory Sets](/docs/api/v-3-part-location-detail-inventory-sets-index). #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 403 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 422 - response - **errors** (object) #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X POST "https://secure.fleetio.com/api/parts" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "manufacturer_part_number": "string", "measurement_unit_id": "value", "measurement_unit_name": "string", "number": "string", "part_category_id": "value", "part_category_name": "string", "part_manufacturer_id": "value", "part_manufacturer_name": "string", "unit_cost": "0", "upc": "string", "tire_config_attributes": { "id": "value", "aspect_ratio": "0", "rim_diameter": "0", "load_index": "0", "metric_type": "EU", "width": "0", "construction": "B", "speed_rating": "A1", "factory_tread_depth": "0", "minimum_tread_depth": "0", "life_expectancy": "0" }, "custom_fields": "value", "documents_attributes": [ { "name": "string", "file_url": "string", "file_mime_type": "string", "file_name": "string", "file_size": "0" } ], "images_attributes": [ { "name": "string", "file_url": "string", "file_mime_type": "string", "file_name": "string", "file_size": "0" } ] }' ``` ``` -------------------------------- ### POST /equipment_types Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Creates a new Equipment Type ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): The name of the Equipment Type. - **default** (boolean): Indicates whether this is the default Equipment Type applied to new `Equipment`. ### Responses #### 201 - OK **EquipmentType** - **id** (integer) - **created_at** (string (date-time)): The date and time at which this record was created. (example: "2023-03-14T13:46:27-06:00") - **updated_at** (string (date-time)): The date and time at which this record was most recently updated. (example: "2023-03-14T13:46:27-06:00") - **account_id** (integer) (required) - **name** (string) (required): The name of the Equipment Type. - **default** (boolean) (required): Indicates whether this is the default Equipment Type applied to new `Equipment`. #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 403 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 422 - response - **errors** (object) #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X POST "https://secure.fleetio.com/api/equipment_types" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "default": "false" }' ``` ``` -------------------------------- ### GET /custom_object_templates/{id} Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Returns a single Custom Object Template. For `GET` requests, the `{id}` path segment accepts the template `key`. ```markdown ### Parameters - **id** (string, path, required): The key of the relevant Custom Object Template. ### Responses #### 200 - OK **CustomObjectTemplate** - **account_id** (integer) (required): The Fleetio id of the account that owns this template. - **created_at** (string (date-time)) (required) - **description** (string): Optional descriptive text for the template. - **enabled** (boolean) (required): Indicates whether this template is enabled for use. - **icon_name** (string) (required): The Fleetio icon name used to represent this template. - **id** (integer) (required) - **key** (string) (required): The parameterized key generated for this template. - **name** (string) (required): The singular display name of the template. - **plural_name** (string) (required): The plural display name of the template. - **updated_at** (string (date-time)) (required) #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 403 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 404 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X GET "https://secure.fleetio.com/api/custom_object_templates/{id}" ``` ``` -------------------------------- ### POST /places Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Creates a new Place ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): A name for this Place. - **description** (string): A description of this Place. - **latitude** (number (float)) (required): This Place's latitude. (example: 33.515) - **longitude** (number (float)) (required): This Place's longitude. (example: -86.80761) - **radius_in_meters** (integer) (required): The radius around this Place's coordinates within which we will consider this Place to have been visited. ### Responses #### 201 - OK **Place_Created** - **id** (integer) (required) - **created_at** (string (date-time)): The date and time at which this record was created. (example: "2023-03-14T13:46:27-06:00") - **updated_at** (string (date-time)): The date and time at which this record was most recently updated. (example: "2023-03-14T13:46:27-06:00") - **account_id** (integer) (required) - **name** (string) (required): A name for this Place. - **address** (string) (required): This Place's address. - **address_components** (object) (required) - **description** (string) (required): A description of this Place. - **place_visits_count** (integer) (required): The number of times this Place has been visited. - **radius_in_meters** (integer) (required): The radius around this Place's coordinates within which we consider this Place to have been visited. - **latitude** (number (float)) (required): This Place's latitude. (example: 33.515) - **longitude** (number (float)) (required): This Place's longitude. (example: -86.80761) - **is_sample** (boolean) (required): Whether this Place is part of [Sample Data](https://help.fleetio.com/s/article/Sample-Data). - **location** (string) (required): The location of this Place. #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 403 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 422 - response - **errors** (object) #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X POST "https://secure.fleetio.com/api/places" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "latitude": 33.515, "longitude": -86.80761, "radius_in_meters": "0" }' ``` ``` -------------------------------- ### GET /vendors/archived Source: https://developer.fleetio.com/schemas/2025-05-05.yaml List archived Vendors ```markdown ### Parameters - **start_cursor** (string, query, optional): The start cursor for Keyset pagination. - **per_page** (integer, query, optional): The number of records per page to return. - **filter** (object, query, optional): The fields, operations, and values to filter the records by. ### Responses #### 200 - OK - **start_cursor** (string): The current start cursor of the records returned. - **next_cursor** (string): The next cursor to retrieve the next page of records. - **per_page** (integer): The maxumum number of records returned. - **estimated_remaining_count** (integer): The number of remaining records including the returned records, up to a maximum of 500. - **filtered_by** (array (union)): The filters applied to the returned record set. Array items: - **name** (object) - **like** (string) (required) - **sorted_by** (array (union)): The sorts applied to the returned record set. Array items: - **archived_at** (string (asc|desc)) ("asc"|"desc") - **records** (array (VendorSummary)) Array items: - **id** (integer) (required) - **created_at** (string (date-time)) (required) - **updated_at** (string (date-time)) (required) - **name** (string) (required): The name of the Vendor. - **phone** (string) (required): The phone number of the Vendor. - **street_address** (string) (required): The street address of the Vendor. - **street_address_line_2** (string) (required): The second line of the street address of the Vendor. - **city** (string) (required): The city of the Vendor. - **region** (string) (required): The region, state, province, or territory of the Vendor. - **postal_code** (string) (required): The postal code or ZIP code of the Vendor. - **country** (string) (required): The country of the Vendor. - **website** (string) (required): The website of the Vendor. - **notes** (string) (required): Additional notes about the Vendor. - **fuel** (boolean) (required): Indicates whether the Vendor provides fuel. - **service** (boolean) (required): Indicates whether the Vendor provides service. - **parts** (boolean) (required): Indicates whether the Vendor provides parts. - **vehicle** (boolean) (required): Indicates whether the Vendor provides vehicles. - **contact_name** (string) (required): The name of the contact person for the Vendor. - **contact_email** (string) (required): The email address of the contact person for the Vendor. - **contact_phone** (string) (required): The phone number of the contact person for the Vendor. - **latitude** (number (float)) (required): The latitude of the Vendor's location. - **longitude** (number (float)) (required): The longitude of the Vendor's location. - **external_id** (string) (required): The external identifier of the Vendor. - **archived_at** (string) (required): The date and time when the Vendor was archived, if applicable. - **custom_fields** (object): *Full details on working with Custom Fields [here](/docs/overview/custom-fields). - **labels** (array (object)) (required) Array items: - **id** (integer) - **name** (string) #### 400 - response - **errors** (object) #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X GET "https://secure.fleetio.com/api/vendors/archived?start_cursor=string&per_page=50&filter=value" ``` ``` -------------------------------- ### GET /tires Source: https://developer.fleetio.com/schemas/2025-05-05.yaml Returns a list of Tires ```markdown ### Parameters - **start_cursor** (string, query, optional): The start cursor for Keyset pagination. - **per_page** (integer, query, optional): The number of records per page to return. - **filter** (object, query, optional): The fields, operations, and values to filter the records by. - **sort** (object, query, optional): The fields and direction to sort the results by. ### Responses #### 200 - OK #### 400 - response - **errors** (object) #### 401 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. #### 500 - response **ProblemDetails** - **status** (integer) (required) - **title** (string) (required): A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - **detail** (string): A human-readable explanation specific to this occurrence of the problem. - **instance** (string): A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. ### Example Usage ```bash curl -X GET "https://secure.fleetio.com/api/tires?start_cursor=string&per_page=50&filter=value&sort=value" ``` ```